interface RefType {
    blur: VoidFunction;
    focus: VoidFunction;
}
declare const _default: import('vue').DefineComponent<{}, {
    inputVal: import('vue').Ref<string[]>;
    inputRefs: import('vue').Ref<{
        blur: VoidFunction;
        focus: VoidFunction;
    }[]>;
    inputHandle: (index: number) => void;
    handlePaste: () => boolean;
    clearnData: () => void;
    swipeRef: (el: RefType) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "dataChange"[], "dataChange", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>> & {
    onDataChange?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
